using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AForge.Neuro;


namespace GPSLearning
{
  [Serializable]
  public class VeloActivationNetwork : AForge.Neuro.ActivationNetwork
  {
    public bool NormalizeInputVector;
    public double OutputScaleFactor;
    public InputVectorType InputVectorType;

    public VeloActivationNetwork(IActivationFunction function, int inputsCount, params int[] neuronsCount)
      : base(function, inputsCount, neuronsCount)
    {
    }
  };
}
