namespace Ocad
{
  public enum StringType
  {
    Control = 1,
    Course = 2,
    Class = 3,

    CourseView = 7,

    Template = 8,

    Color = 9,

    PrintPar = 1026,
    ViewPar = 1030,
    Export = 1035,
    ScalePar = 1039
  }

  /// <summary>
  /// Summary description for CourseSettingIndex.
  /// </summary>
  public class StringParamIndex
  {
    private int miFilePosition;
    private int _size;
    private int _elemNummer;
    private StringType _type;

    public StringParamIndex()
    {
    }

    public int FilePosition
    {
      get
      { return miFilePosition; }
      set
      { miFilePosition = value; }
    }

    public int Size
    {
      get { return _size; }
      set { _size = value; }
    }

    public StringType Type
    {
      get { return _type; }
      set { _type = value; }
    }

    public int ElemNummer
    {
      get { return _elemNummer; }
      set { _elemNummer = value; }
    }
  }
}
