namespace Ocad.Symbol
{
  public class PointSymbol : BaseSymbol
  {
    public PointSymbol(int symbolNumber)
      :
        base(symbolNumber)
    { }

    public Mathe.Geom.GeometryCollection GetSymbolGeometry(Setup setup)
    {
      Mathe.Geom.GeometryCollection lst = new Mathe.Geom.GeometryCollection();
      foreach (SymbolGraphics graphics in Graphics)
      {
        Mathe.Geom.IGeometry geom = graphics.Geometry.Project(setup.Map2Prj);
        lst.Add(geom);
      }
      return lst;
    }

  }
}