﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Grid
{

  public enum Passable
  {
    Passable,
    ForbiddenButPathsAllowed,   // Typically gardens, cultivated land, impassable rivers with path crossing
    Forbidden                   // Embargoed areas, buildings, impassable marshes and cliffs
  }

  public enum Forest
  {
    VeryDifficultToRun,       // green
    DifficultToRun,           // medium green
    SlowRunning,              // light green
    EasyRunning,              // white
    RoughOpenScatteredTrees,  // yellow, white dots
    RoughOpen,                // light yellow
    OpenScatteredTrees,       // white, yellow dots
    Open,                     // yellow
    BareRock,                 
    OpenSandyGround          
  }

  public enum Water
  {
    Marsh,
    IndistinctMarsh,
    NarrowMarsh,
    LakeOrRiver,
    Pond,
    CrossableWatercourse,
    CrossableSmallWatercourse,
    MinorWaterChannel,
    None
  }

  public enum Undergrowth
  {
    DifficultToRun,
    SlowRunning,
    None
  }

  public enum Paths
  {
    Road,
    VehicleTrack,
    Footpath,
    SmallPath,
    LessDistinctSmallPath,
    NarrowRide,
    None
  }

  public enum Ground
  {
    PassableRockFace,
    EarthBank,
    BoulderField,
    StonyGround,
    BrokenGround,
    None
  }
}
