
using System;

namespace Mathe
{
  public static class Utils
  {
    public static double Round(double value, double interval)
    {
      double rounded = Math.Round(value / interval) * interval;
      return rounded;
    }

    /// <summary>
    /// Greates common divisor
    /// </summary>
    public static int Gcd(int x, int y)
    {
      if (x == 0)
      { return Math.Abs(y); }
      if (y == 0)
      { return Math.Abs(x); }

      int x0 = Math.Abs(x);
      int y0 = Math.Abs(y);

      int t;
      do
      {
        t = x0 % y0;
        x0 = y0;
        y0 = t;
      } while (t != 0);
      return x0;
    }
  }
}
