using System;
using Mathe.Geom;
using Ocad;

namespace OCourse.Route
{
  internal class RouteInfo : SectionInfo
  {
    public IPoint Start;
    public IPoint End;
    public double Resolution;
    private Polyline _route;

    public RouteInfo(Control ctrl0, Control ctrl1,
      IPoint start, IPoint end, double resolution,
      double direct, double climb, Polyline route, double optimalLength, double optimalCost)
      :
      base(ctrl0, ctrl1, direct, climb, optimalLength, optimalCost)
    {
      Start = start;
      End = end;
      Resolution = resolution;

      _route = route;
    }

    public override void Add(CostInfo part)
    { throw new Exception("The method or operation is not implemented."); }

    public Polyline Route
    { get { return _route; } }
  }
}
