using System;
using System.Data;
using System.Data.Common;

namespace Ocad.Data
{
  public class OcadTransaction : DbTransaction
  {

    private OcadConnection _connection;
    private IsolationLevel _level;

    private bool _inEdit;
    private bool _startedOperation;
    private bool _inOperation;

    private OcadTransaction(OcadConnection connection,
       IsolationLevel isolationLevel)
    {
      _connection = connection;
      _level = isolationLevel;

    }

    public static OcadTransaction Start(OcadConnection connection,
      IsolationLevel isolationLevel)
    {
      OcadTransaction trans = new OcadTransaction(connection, isolationLevel);

      return trans;
    }

    public override void Commit()
    {
      throw new NotImplementedException();
    }

    public override void Rollback()
    {
      throw new NotImplementedException();
    }

    public new OcadConnection Connection
    {
      get { return _connection; }
    }
    protected override DbConnection DbConnection
    { get { return Connection; } }

    public override IsolationLevel IsolationLevel
    {
      get { return _level; }
    }
  }
}
