namespace Ocad.StringParams
{
  public class CategoryPar : StringPar
  {
    public CategoryPar()
      : base(true)
    { }
    public CategoryPar(string stringParam)
      : base(stringParam, true)
    { }
    public string CourseName
    {
      get { return (string)_params['c']; }
      set { SetParam('c', value); }
    }
    public int? NrRunners
    {
      get { return GetInt(_params['r']); }
      set { SetParam('r', value); }
    }

    public int? MinStartNr
    {
      get { return GetInt(_params['f']); }
      set { SetParam('f', value); }
    }
    public int? MaxStartNr
    {
      get { return GetInt(_params['t']); }
      set { SetParam('t', value); }
    }
  }
}
